<?php
function Sec2Time($time){
  if(is_numeric($time)){
    $value = array(
      "years" => 0, "days" => 0, "hours" => 0,
      "minutes" => 0, "seconds" => 0,
    );
    if($time >= 31556926){
      $value["years"] = floor($time/31556926);
      $time = ($time%31556926);
    }
    if($time >= 86400){
      $value["days"] = floor($time/86400);
      $time = ($time%86400);
    }
    if($time >= 3600){
      $value["hours"] = floor($time/3600);
      $time = ($time%3600);
    }
    if($time >= 60){
      $value["minutes"] = floor($time/60);
      $time = ($time%60);
    }
    $value["seconds"] = floor($time);
	
	if($value["seconds"]>0){
	$time3 = $value["seconds"].' сек. ';
	}else{
	$time3='';
	}
	if($value["minutes"]>0){
	$time2 = $value["minutes"].' мин. ';
	}else{
	$time2='';
	}
	if($value["hours"]>0){
	$time1 = $value["hours"].' ч. ';
	}else{
	$time1='';
	}
	if($value["years"]>0){
	$time_y = $value["years"].' лет ';
	}else{
	$time_y='';
	}
    return $time_y.$time1.$time2.$time3;
   ## return (array) $value;
  }else{
    return (bool) FALSE;
  }
}
##echo Sec2Time(60);
?>